summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorCecil Hugh Watson <knoppmyth@gmail.com>2009-01-02 23:55:33 (GMT)
committerCecil Hugh Watson <knoppmyth@gmail.com>2009-01-02 23:55:33 (GMT)
commit907606040ebd98338b939452ee37698b62718820 (patch)
tree5749ec334aa0a0ff818eb2c6a2d7ecbba319e603
parent276298661d3187fcc0ac8c48416b5f7fb22a2b51 (diff)
downloadlinhes_pkgbuild-907606040ebd98338b939452ee37698b62718820.zip
linhes_pkgbuild-907606040ebd98338b939452ee37698b62718820.tar.gz
linhes_pkgbuild-907606040ebd98338b939452ee37698b62718820.tar.bz2
Added ProjectM and libvisual-projectm.
-rw-r--r--abs/core-testing/mythtv/stable/mythmusic/PKGBUILD5
-rw-r--r--abs/extra-testing/doxygen/PKGBUILD25
-rw-r--r--abs/extra-testing/ftgl/PKGBUILD25
-rw-r--r--abs/extra-testing/ftgl/ftgl-gcc411.patch12
-rw-r--r--abs/extra-testing/libvisual-projectm/PKGBUILD4
5 files changed, 67 insertions, 4 deletions
diff --git a/abs/core-testing/mythtv/stable/mythmusic/PKGBUILD b/abs/core-testing/mythtv/stable/mythmusic/PKGBUILD
index ad8d421..fbbfbc4 100644
--- a/abs/core-testing/mythtv/stable/mythmusic/PKGBUILD
+++ b/abs/core-testing/mythtv/stable/mythmusic/PKGBUILD
@@ -4,13 +4,14 @@
pkgname=mythmusic
pkgver=0.21
-pkgrel=4
+pkgrel=5
pkgdesc="Music playing plugin for MythTV"
arch=('i686' 'x86_64')
url="http://www.mythtv.org"
license=('GPL')
depends=("mythtv>=${pkgver}" 'libid3tag' 'libmad' 'libvorbis' 'flac>=1.1.4' 'libcdaudio' \
- 'cdparanoia' 'fftw2' 'sdl' 'faad2>=2.6.1' 'lame' 'taglib' 'libvisual-plugins')
+ 'cdparanoia' 'fftw2' 'sdl' 'faad2>=2.6.1' 'lame' 'taglib' \
+ 'libvisual-plugins' 'libvisual-projectm')
source=("ftp://ftp.knoppmyth.net/R6/sources/mythplugins-$pkgver-fixes.tar.bz2")
md5sums=('af20a78ac66719feddf9a39f1a799ded')
groups=('mythtv-extras')
diff --git a/abs/extra-testing/doxygen/PKGBUILD b/abs/extra-testing/doxygen/PKGBUILD
new file mode 100644
index 0000000..5959ce5
--- /dev/null
+++ b/abs/extra-testing/doxygen/PKGBUILD
@@ -0,0 +1,25 @@
+# $Id: PKGBUILD 14308 2008-10-05 15:59:28Z dan $
+# Maintainer: Dan McGee <dan@archlinux.org>
+pkgname=doxygen
+pkgver=1.5.7.1
+pkgrel=1
+pkgdesc="A documentation system for C++, C, Java, IDL and PHP"
+license=('GPL')
+arch=(i686 x86_64)
+url="http://www.doxygen.org/"
+depends=('gcc-libs')
+# qt required to build and run doxywizard, but don't want to drag it in
+makedepends=('flex' 'qt3')
+optdepends=('graphviz: for caller/callee graph generation'
+ 'qt3: for doxywizard')
+source=(ftp://ftp.stack.nl/pub/users/dimitri/${pkgname}-${pkgver}.src.tar.gz)
+
+build() {
+ . /etc/profile.d/qt3.sh
+ cd ${startdir}/src/${pkgname}-${pkgver}
+ ./configure --prefix /usr --with-doxywizard
+ make || return 1
+ make INSTALL=${startdir}/pkg/usr MAN1DIR=share/man/man1 install
+}
+
+md5sums=('bc35dfd52bdae0247b862e67e0cbe7d7')
diff --git a/abs/extra-testing/ftgl/PKGBUILD b/abs/extra-testing/ftgl/PKGBUILD
new file mode 100644
index 0000000..47c9eb4
--- /dev/null
+++ b/abs/extra-testing/ftgl/PKGBUILD
@@ -0,0 +1,25 @@
+# $Id: PKGBUILD 356 2008-04-18 22:56:27Z aaron $
+# Maintainer: Alexander Baldeck <alexander@archlinux.org>
+# Contributor: tobias <tobias@archlinux.org>
+pkgname=ftgl
+pkgver=2.1.2
+pkgrel=4
+pkgdesc="OpenGL library to use arbitrary fonts"
+arch=(i686 x86_64)
+source=(http://superb-east.dl.sourceforge.net/sourceforge/ftgl/$pkgname-$pkgver.tar.gz ftgl-gcc411.patch)
+url="http://homepages.paradise.net.nz/henryj/code/"
+options=(!libtool)
+depends=(freetype2 glut)
+makedepends=(doxygen)
+
+build() {
+ cd $startdir/src/FTGL/
+ patch -Np1 -i ${startdir}/src/ftgl-gcc411.patch || return 1
+ cd unix
+ sed -i 's|^ \$| $|g' src/Makefile
+ ./configure --prefix=/usr --with-pic
+ make || return 1
+ make prefix=$startdir/pkg/usr install
+
+}
+md5sums=('f81c0a7128192ba11e036186f9a968f2' '2a4ad16c1bfae869a8bf0ddababfd25a')
diff --git a/abs/extra-testing/ftgl/ftgl-gcc411.patch b/abs/extra-testing/ftgl/ftgl-gcc411.patch
new file mode 100644
index 0000000..f52d48b
--- /dev/null
+++ b/abs/extra-testing/ftgl/ftgl-gcc411.patch
@@ -0,0 +1,12 @@
+diff -ruN FTGL.org/include/FTTextureGlyph.h FTGL/include/FTTextureGlyph.h
+--- FTGL.org/include/FTTextureGlyph.h 2006-07-11 17:49:42.000000000 +0200
++++ FTGL/include/FTTextureGlyph.h 2006-07-11 17:50:23.000000000 +0200
+@@ -52,7 +52,7 @@
+ * Reset the currently active texture to zero to get into a known state before
+ * drawing a string. This is to get round possible threading issues.
+ */
+- static void FTTextureGlyph::ResetActiveTexture(){ activeTextureID = 0;}
++ static void ResetActiveTexture(){ activeTextureID = 0;}
+
+ private:
+ /**
diff --git a/abs/extra-testing/libvisual-projectm/PKGBUILD b/abs/extra-testing/libvisual-projectm/PKGBUILD
index bbe6e9c..5b217e8 100644
--- a/abs/extra-testing/libvisual-projectm/PKGBUILD
+++ b/abs/extra-testing/libvisual-projectm/PKGBUILD
@@ -9,8 +9,8 @@ url="http://xmms-projectm.sourceforge.net"
license="GPL"
depends=('projectm' 'libvisual>=0.4.0' 'sdl')
makedepends=('pkgconfig')
-options=(NOLIBTOOL)
-source=(http://puzzle.dl.sourceforge.net/sourceforge/xmms-projectm/libvisual-projectM-$pkgver.tar.bz2)
+options=(!libtool)
+source=(http://superb-east.dl.sourceforge.net/sourceforge/projectm/libvisual-projectM-$pkgver.tar.bz2)
build() {
cd $startdir/src/libvisual-projectM